Questions about which firmware to use

Discussion in 'PSP - Hacking & Homebrew' started by imtony, Jan 4, 2008.

  1. imtony
    OP

    imtony GBAtemp Regular

    Member
    101
    0
    Mar 14, 2007
    United States
    Hey, my gf's brother just gave me his psp since he didn't use it and I will be putting a cfw on it. I was wondering if I should go with 3.71 m33 or 3.52 m33. I've been hearing a lot of discussion that a lot of people are still running 3.52 for some reason. I plan to use emulators for GBA,SNES,NES,GBC, and probably whatever else they have. I will also be playing my final fantasy 7,8,9 on it that I will rip. I was wondering which firmware would be better to use? I heard something about 3.52 doesn't have mutlidisc support for PSX games and was wondering how do people play PSX games like MGS or FF then? And how would I backup my flash or whatever it is incase of a brick? I will be borrowing my friends PSP to do the custom firmware installation that's in the Official PSP thread thats stickied. Any help would be appreciated. thanks [​IMG]
     
  2. jalaneme

    jalaneme Female Gamer

    Member
    6,248
    195
    Nov 27, 2006
    London
    3.71 m33, you can still run emu's on this firmware and 3.71 m33 also have psx multi boot for for playstation games, you need to download and install version 4 to get the latest support for that feature.
     
  3. imtony
    OP

    imtony GBAtemp Regular

    Member
    101
    0
    Mar 14, 2007
    United States
    Does it support all the emus or do I have to get a patch? And what are some of the emu names for the PSP that works the best?
     
  4. myuusmeow

    myuusmeow GBAtemp Advanced Maniac

    Member
    1,643
    0
    Jun 24, 2007
    United States
    PSP Phat or Slim?! Why does no one mention this!?

    Phat: pretty much all homebrew will work with 3.71 M33-4 with the 1.50 thing, that's all CFW homebrew and all 1.50 homebrew. (Which equals pretty much all homebrew)

    Slim: Only homebrew written for CFW or 1.00 will work. (Daedalus is a emulator that runs on 1.00) There still are some notable homebrew that don't work with CFW, so you'll just be SOL AFAIK.


    Best emulators:
    SNES9x TTYL (SNES)
    Nester J (NES)
    Picodrive (Genesis/Sega CD)
    gpSP (GBA)
    MVSPSP (Neo-Geo)
    CPS2PSP (CPS2, Capcom arcade games like Street Fighter and 19xx)
    Popstation (Official Sony PSX emulator)
    and much much more

    General Homebrew: PSPTube, Doom for PSP, Quake for PSP, and even more
     
  5. Nero

    Nero GBAtemp RPG Maniac

    Member
    1,919
    0
    Aug 11, 2007
    United States
    Why do some emulators have trouble running on the Slim?
    Just wondering because I'm confused about it. [​IMG]

    ~Nero
     
  6. Armadillo

    Armadillo GBAtemp Psycho!

    Member
    3,616
    1,593
    Aug 28, 2003
    United Kingdom
    Alot the emulators were made to run on the 1.5 kernel. Slim psp can't use it. So only emulators that have been made for the 3.XX kernel will work.
     
  7. imtony
    OP

    imtony GBAtemp Regular

    Member
    101
    0
    Mar 14, 2007
    United States
    I have a Phat. Guess I will be getting 3.71 m33-4. Do I need to do anything to my PSX games or can I leave em in ISO format? And how do i back up the flash or whatever incase of a brick?
     
  8. myuusmeow

    myuusmeow GBAtemp Advanced Maniac

    Member
    1,643
    0
    Jun 24, 2007
    United States
  9. imtony
    OP

    imtony GBAtemp Regular

    Member
    101
    0
    Mar 14, 2007
    United States
    How do I backup the file that is needed incase of a brick? I'm not too sure what I have to do.